Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.instancetable
Class Action_AbstractTableListener

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.widget.instancetable.Action_AbstractTableListener

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  Action_CreateUsingPrototype, Action_DeleteInstance, Action_MoveDown, Action_MoveUp, Action_RemoveInstance, Action_ViewInstance

    public abstract class Action_AbstractTableListener

extends AbstractAction

An action which is enabled if there is a selection and is not enabled otherwise

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary
`protected InstanceTable` | `_table`
`protected InstanceTableWidget` | `_widget`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`Action_AbstractTableListener(String tooltipString, Icon icon, InstanceTableWidget widget, InstanceTable table)`

Method Summary
`abstract void` | `actionPerformed(ActionEvent e)`
`protected boolean` | `isSlotEditable()`
`protected void` | `setEnabledBySelection()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _widget

    protected InstanceTableWidget _widget

### _table

    protected InstanceTable _table

Constructor Detail

### Action_AbstractTableListener

    public Action_AbstractTableListener(String tooltipString,
                                        Icon icon,
                                        InstanceTableWidget widget,
                                        InstanceTable table)

Method Detail

### actionPerformed

    public abstract void actionPerformed(ActionEvent e)

### setEnabledBySelection

    protected void setEnabledBySelection()

### isSlotEditable

    protected boolean isSlotEditable()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request